#!/bin/sh 
# build script for mediainfo
# built on tc-6.x

set -o nounset
set -o errexit

. /etc/init.d/tc-functions

###################################################################################################
###################################################################################################

# Downloads

# http://mediaarea.net/download/binary/mediainfo/0.7.81/MediaInfo_CLI_0.7.81_GNU_FromSource.tar.bz2

# download the above src file, and run this script from the src directory

###################################################################################################

appName=mediainfo
srcname="MediaInfo_CLI_0.7.81_GNU_FromSource"



## load build deps
tcepath="/etc/sysconfig/tcedir/optional"
tceinstalled=/usr/local/tce.installed

echo -e "\n\nFetching build dependencies... "

deps="compiletc.tcz \
libtool-dev.tcz  \
automake.tcz  \
pkg-config.tcz  \
gzip.tcz \
cmake.tcz"


for i in `echo $deps`; do 

pkgname=`basename "$i" .tcz`
if [ -f ${tceinstalled}/"$pkgname" ]; then
	echo "${WHITE}"$i" ${GREEN}Already loaded${NORMAL}"

else
	if  [ ! -f ${tceinstalled}/"$pkgname" ]; then
	if [ -f ${tcepath}/"$i" ]; then
	  while [ ! -f ${tceinstalled}/"$pkgname" ]; do
	    tce-load -i "$pkgname"; sleep 0.5
	  done
		if [ -f ${tceinstalled}/"$pkgname" ]; then
			echo "${CYAN}"$i" ${BLUE}loaded locally${NORMAL}"
		fi
	elif [ ! -f ${tcepath}/"$i" ]; then
	    tce-load -wil "$pkgname"; sleep 0.5
		if [ -f ${tceinstalled}/"$pkgname" ]; then
			echo "${MAGENTA}"$i" ${YELLOW}downloaded from repo${NORMAL}"
		fi
	fi
	fi
fi

if [ ! -f "${tceinstalled}/$pkgname" ]; then
	echo "${RED}$i failed to load, exiting..${NORMAL}"; exit 1
fi

done

###################################################################################################

tar -vxjf ${srcname}.tar.bz2

export CFLAGS="-march=i486 -mtune=i686 -Os -pipe"
export CXXFLAGS="-march=i486 -mtune=i686 -Os -pipe"


cd MediaInfo_CLI_GNU_FromSource
./CLI_Compile.sh

cd MediaInfo/Project/GNU/CLI

sudo strip --strip-debug --strip-unneeded $appName

exit 2




